/* -------------------------------------------------------------------------*/
/*                                                                          */
/* Licensed Materials - Property of IBM                                     */
/*                                                                          */
/* (C) Copyright IBM Corporation 1990, 2004. All rights reserved.           */
/*                                                                          */
/* U.S. Government Users Restricted Rights -- Use, duplication or           */
/* disclosure restricted by GSA ADP Schedule Contract with IBM Corp.        */
/*                                                                          */
/* PCMBLDOB.CMD - Build PCM Testkit folder and objects on desktop.          */
/*                                                                          */
/* Carried on: "SETUP" Diskette                                             */
/*                                                                          */
/* OS/2 BOOT DRIVE DETERMINED USING COMSPEC= ENVIRONMENT VARIABLE           */
/*     Create PCM TESTKIT folder on desktop                                 */
/*     Add PCMSETUP to folder if found in \OS2                              */
/*     Add PCMRSLTS to folder if found in \OS2                              */
/*     Add PCMDOC   to folder if found in \OS2                              */
/*     Add PCMHDW   to folder if found in \OS2                              */
/*     Add PCMTEST  to folder if found in \OS2                              */
/*     Add LANTEST  to folder if found in \OS2                              */
/*                                                                          */
/* Change History:                                                          */
/* --------------                                                           */
/* 08/04/2003 d4065 Added the link to readme.1st file                       */
/*                                                                          */
/*                                                                          */
/* 12/09/03  d4096    Version changed from 4.8 to 4.9                       */
/* 12/08/04  d4139    Version changed from 4.9 to 4.91                      */
/*                                                                          */
/* -------------------------------------------------------------------------*/
'@echo off'
arg parm.1 comments

if left(parm.1,1) = '?' then signal INFO_PLEASE

/*------------------------------------------*/
/* USE  COMSPEC= TO FIND OS/2 BOOT DRIVE.   */
/*------------------------------------------*/
cmspec = value('COMSPEC',,'OS2ENVIRONMENT');
os2drv = left(cmspec,1)


os2drv':'
'cd \'

'attrib  -h -r -s OS2KRNL'                                     /**************/
if stream('os2krnl','c','query exists') = '' then do           /* NO OS2KRNL */
   say '[1;09;41m  *****************************************************[0;40;37m';
   say '[1;09;41m  *** Could NOT find \OS2KRNL                       ***[0;40;37m';
   say '[1;09;41m  *** Please change to OS/2 boot drive and re-enter.***[0;40;37m';
   say '[1;09;41m  *****************************************************[0;40;37m';
   signal INFO_PLEASE
   end
else do
   say '[1;37;45m  *****************************************************[0;40;37m';
   say '[1;37;45m  *** Building PCM Testkit folder and objects       ***[0;40;37m';
   say '[1;37;45m  *****************************************************[0;40;37m';
   end
'attrib  +h +r +s OS2KRNL'


call rxfuncadd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs

/* ----------------------------------------------------------------------*/
/* ICONVIEWPOS  var1,var2,var3,var4                                      */
/*              var1 = how far from left   of screen folder is when open */
/*              var2 = how far from bottom of screen folder is when open */
/*              var3 = how wide folder is when open                      */
/*              var4 = how deep folder is when open                      */
/* ----------------------------------------------------------------------*/
classname='WPFolder'
/* d4139 */
title='PCM^Compatibility Testkit^Version 4.91'                     
location='<WP_DESKTOP>'
setup='OBJECTID=<PCM_KIT>;'||,
      'ICONFILE='os2drv':\OS2\PCMKIT_F.ICO;'||,
      'ALWAYSSORT=YES;'||,
      'ICONVIEWPOS=20,50,55,45;'
call BldObj


if stream(os2drv':\os2\pcms.cmd','c','query exists') \= '' then do
   classname='WPProgram';
   title='Testcases^Installation & Setup'
   location='<PCM_KIT>'
   setup='OBJECTID=<PCM_SETUP>;'||,
         'EXENAME='os2drv':\OS2\PCMS.CMD;'||,
         'ICONFILE='os2drv':\OS2\PCMSETUP.ICO;'||,
         'PROGTYPE=PM;'||,
         'STARTUPDIR='os2drv':\OS2;'
   call BldObj
end


if stream(os2drv':\os2\pcmrslts.exe','c','query exists') \= '' then do
   classname='WPProgram';
   title='Results Diskette^Processing'
   location='<PCM_KIT>'
   setup='OBJECTID=<PCM_RSLTS>;'||,
         'EXENAME='os2drv':\OS2\PCMRSLTS.EXE;'||,
         'ICONFILE='os2drv':\OS2\PCMRSLTS.ICO;'||,
         'PROGTYPE=PM;'||,
         'STARTUPDIR='os2drv':\OS2;'
   call BldObj
end


if stream(os2drv':\os2\pcm_docs\pcmdoc.pdf','c','query exists') \= '' then do
   classname='WPShadow';
   title='pcmdoc.pdf'
   location='<PCM_KIT>'
   setup='OBJECTID=<PCM_DOC_PDF>;'||,
         'SHADOWID='os2drv':\os2\pcm_docs\pcmdoc.pdf;'
   call BldObj
end


if stream(os2drv':\os2\pcm_docs\index.htm','c','query exists') \= '' then do
   classname='WPUrl';
   title='PCM CTK Documentation'
   location='<PCM_KIT>'
   setup='OBJECTID=<PCM_DOC_HTML>;'||,
         'URL='os2drv':\os2\pcm_docs\pcmdoc.htm;'
   call BldObj
end

if stream(os2drv':\os2\pcmhdw.exe','c','query exists') \= '' then do
   classname='WPProgram';
   title='System Hardware^Configuration'
   location='<PCM_KIT>'
   setup='OBJECTID=<PCM_HDW>;'||,
         'EXENAME='os2drv':\OS2\PCMHDW.EXE;'||,
         'ICONFILE='os2drv':\OS2\PCMHDW.ICO;'||,
         'PROGTYPE=PM;'||,
         'STARTUPDIR='os2drv':\OS2;'
   call BldObj
end


if stream(os2drv':\os2\pcmtest.exe','c','query exists') \= '' then do
   classname='WPProgram';
   title='Test Selection^& Control^BASE'
   location='<PCM_KIT>'
   setup='OBJECTID=<PCM_TEST>;'||,
         'EXENAME='os2drv':\OS2\PCMTEST.EXE;'||,
         'ICONFILE='os2drv':\OS2\PCMTEST.ICO;'||,
         'PROGTYPE=PM;'||,
         'STARTUPDIR='os2drv':\OS2;'
   call BldObj
end


if stream(os2drv':\os2\lantest.exe','c','query exists') \= '' then do
   classname='WPProgram';
   title='Test Selection^& Control^LAN'
   location='<PCM_KIT>'
   setup='OBJECTID=<LAN_TEST>;'||,
         'EXENAME='os2drv':\OS2\LANTEST.EXE;'||,
         'ICONFILE='os2drv':\OS2\LANTEST.ICO;'||,
         'PROGTYPE=PM;'||,
         'STARTUPDIR='os2drv':\OS2;'
   call BldObj
end

if stream(os2drv':\os2\pcm_docs\readme.1st','c','query exists') \= '' then do
   classname='WPShadow';
   title='readme.1st'
   location='<PCM_KIT>'
   setup='OBJECTID=<PCM_1ST>;'||,
         'SHADOWID='os2drv':\os2\pcm_docs\readme.1st;'
   call BldObj
end


exit;

/*------------------*/
/* Common procedure */
/*------------------*/
BldObj:
   say '[1;37;45m  *** Building object for 'title'     [0;40;37m';
   result = SysCreateObject(classname, title, location, setup, 'R')
   if result = 0 then do
      say '[1;09;41m  *** OBJECT NOT CREATED - ERROR -                  ***[0;40;37m';
      end
   return;


INFO_PLEASE:
say ''
say '[1;37;45mͻ';
say '                                                                ';
say ' PCMBLDOB.CMD - Build PCM Testkit folder and program objects on ';
say '                on the desktop.                                 ';
say '                                                                ';
say ' Parameters:  NONE                                              ';
say '                                                                ';
say ' OS/2 BOOT DRIVE DETERMINED WITH COMSPEC= ENVIRONMENT VARIABLE. ';
say '                                                                ';
say ' Called by x:\PCM_INST\INSTALL.CMD  or  x:\LAN_INST\INSTALL.CMD ';
say '                                                                ';
say 'ͼ[0;40;37m';
exit
